# $Revision: 1.116 $, $Date: 2011/04/29 09:26:38 $
# TODO:
# - separate spec for enigmail
# - fix icedove (building) and installing nss/nspr libs!
# - build with system mozldap
#
# Conditional builds
%bcond_without	enigmail	# don't build enigmail - GPG/PGP support
%bcond_without	gnomeui		# disable gnomeui support
%bcond_without	gnomevfs	# disable GNOME comp. (gconf+libgnome+gnomevfs) and gnomevfs ext.
%bcond_without	gnome		# disable all GNOME components (gnome+gnomeui+gnomevfs)
%bcond_without	ldap		# disable e-mail address lookups in LDAP directories
%bcond_without  lightning	# disable sunbird calendar
%bcond_with		xulrunner	# build with xulrunner
%bcond_with	crashreporter	# report crashes to crash-stats.mozilla.com

%if %{without gnome}
%undefine	with_gnomeui
%undefine	with_gnomevfs
%endif

%if %{?_enable_debug_packages} != 1
%undefine	crashreporter
%endif

%define		enigmail_ver		1.1.2

%if %{without xulrunner}
# The actual sqlite version (see RHBZ#480989):
%define		sqlite_build_version %(pkg-config --silence-errors --modversion sqlite3 2>/dev/null || echo ERROR)
%endif

Summary:	Icedove - email client
Summary(pl.UTF-8):	Icedove - klient poczty
Name:		icedove
Version:	3.1.10
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/source/thunderbird-%{version}.source.tar.bz2
# Source0-md5:	2a81f3ee7ea7acff0ee2eaee6574ea11
Source1:	http://www.mozilla-enigmail.org/download/source/enigmail-%{enigmail_ver}.tar.gz
# Source1-md5:	7d329d5e8afbbb28214ca1995beb09c9
Source2:	%{name}-branding.tar.bz2
# Source2-md5:	2da351522bdd7f4a3bd8aaff4c776976
Source3:	%{name}-rm_nonfree.sh
Source4:	%{name}.desktop
Source5:	%{name}.sh
Patch0:		%{name}-branding.patch
Patch1:		%{name}-enigmail-shared.patch
Patch2:		%{name}-gcc.patch
Patch3:		%{name}-fonts.patch
Patch4:		%{name}-install.patch
Patch5:		%{name}-hunspell.patch
Patch6:		%{name}-prefs.patch
Patch7:		system-mozldap.patch
Patch8:		%{name}-makefile.patch
Patch9:		%{name}-libpng.patch
Patch10:	%{name}-extensiondir.patch
Patch11:	crashreporter.patch
Patch12:	no-subshell.patch
URL:		http://www.pld-linux.org/Packages/Icedove
%{?with_gnomevfs:BuildRequires:	GConf2-devel >= 1.2.1}
BuildRequires:	alsa-lib-devel
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	freetype-devel >= 1:2.1.8
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.0}
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	hunspell-devel
BuildRequires:	libIDL-devel >= 0.8.0
%{?with_gnomevfs:BuildRequires:	libgnome-devel >= 2.0}
%{?with_gnomeui:BuildRequires:	libgnome-keyring-devel}
%{?with_gnomeui:BuildRequires:	libgnomeui-devel >= 2.2.0}
BuildRequires:	libiw-devel
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libnotify-devel >= 0.4
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= 1:4.8
BuildRequires:	nss-devel >= 1:3.12.0
BuildRequires:	pango-devel >= 1:1.1.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.7.4
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zip
Requires(post):	mktemp >= 1.5-18
%if %{with xulrunner}
%else
Requires:	myspell-common
Requires:	nspr >= 1:4.6.1
Requires:	nss >= 1:3.11.3
Requires:	sqlite3 >= %{sqlite_build_version}
%endif
Obsoletes:	mozilla-thunderbird
Obsoletes:	mozilla-thunderbird-dictionary-en-US
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout_cpp		-D_FORTIFY_SOURCE=[0-9]+

# iceweasel/icedove/iceape provide their own versions
%define		_noautoreqdep		libgfxpsshar.so libgkgfx.so libgtkxtbin.so libjsj.so libxpcom_compat.so libxpistub.so
%define		_noautoprovfiles	%{_libdir}/%{name}/components
# we don't want these to satisfy xulrunner-devel
%define		_noautoprov		libgtkembedmoz.so libmozjs.so libxpcom.so libxul.so libxpcom_core.so
# and as we don't provide them, don't require either
%define		_noautoreq		libgtkembedmoz.so libmozjs.so libxpcom.so libxul.so libxpcom_core.so

%define		topdir		%{_builddir}/%{name}-%{version}
%define		objdir		%{topdir}/obj-%{_target_cpu}

%description
Icedove is an open-source,fast and portable email client.

%description -l pl.UTF-8
Icedove jest open sourcowym, szybkim i przenośnym klientem poczty.

%package addon-lightning
Summary:	An integrated calendar for Icedove
Summary(pl.UTF-8):	Zintegrowany kalendarz dla Icedove
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description addon-lightning
Lightning is an calendar extension to Icedove email client.

%description addon-lightning -l pl.UTF-8
Lightning to rozszerzenie do klienta poczty Icedove dodające
funkcjonalność kalendarza.

%package addon-enigmail
Summary:	Extension for the authentication and encryption features provided by GnuPG
Summary(pl.UTF-8):	Rozszerzenie do uwierzytelniania i szyfrowania zapewnianego przez GnuPG
License:	MPL/LGPL
Group:		Applications/Networking
URL:		http://enigmail.mozdev.org/
Requires:	%{name} = %{version}-%{release}
Requires:	gnupg
Obsoletes:	mozilla-thunderbird-addon-enigmail

%description addon-enigmail
Enigmail is an extension to the Icedove mail client which allows users
to access the authentication and encryption features provided by
GnuPG.

Main Features:
- Encrypt/sign mail when sending, decrypt/authenticate received mail
- Support for inline-PGP (RFC 2440) and PGP/MIME (RFC 3156)
- Per-Account based encryption and signing defaults
- Per-Recipient rules for automated key selection, and
  enabling/disabling encryption and signing
- OpenPGP key management interface

%description addon-enigmail -l pl.UTF-8
Enigmail to rozszerzenie klienta pocztowego Icedove pozwalające
użytkownikom na dostęp do uwierzytelniania i szyfrowania zapewnianego
przez GnuPG.

Główne możliwości:
- szyfrowanie/podpisywanie poczty przy wysyłaniu,
  odszyfrowywanie/uwierzytelnianie poczty odebranej
- obsługa inline-PGP (RFC 2440) i PGP/MIME (RFC 3156)
- ustawienia domyślne szyfrowania i podpisywania dla każdego konta
- reguły automatycznego wyboru kluczy i włączenia szyfrowania oraz
  podpisywania dla każdego adresata
- interfejs do zarządzania kluczami OpenPGP

%prep
%setup -qc
mv -f comm-1.9.2 mozilla
%setup -q -T -D -a2
cd mozilla
%{?with_enigmail:%{__gzip} -dc %{SOURCE1} | %{__tar} -xf - -C mailnews/extensions}
/bin/sh %{SOURCE3}
%patch0 -p1
%{?with_enigmail:%patch1 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p0
%patch10 -p2
%patch11 -p2
%patch12 -p1

%build
cd mozilla
cp -f %{_datadir}/automake/config.* mozilla/build/autoconf
cp -f %{_datadir}/automake/config.* mozilla/nsprpub/build/autoconf
cp -f %{_datadir}/automake/config.* directory/sdks/c-sdk/config/autoconf

install -d libxul-sdk
ln -snf %{_libdir}/xulrunner-sdk libxul-sdk/sdk

cat << EOF > .mozconfig
mk_add_options MOZ_OBJDIR=%{objdir}

export CFLAGS="%{rpmcflags}"
export CXXFLAGS="%{rpmcflags}"

%if %{with crashreporter}
export MOZ_DEBUG_SYMBOLS=1
%endif

# Options for 'configure' (same as command-line options).
ac_add_options --prefix=%{_prefix}
ac_add_options --exec-prefix=%{_exec_prefix}
ac_add_options --bindir=%{_bindir}
ac_add_options --sbindir=%{_sbindir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --datadir=%{_datadir}
ac_add_options --includedir=%{_includedir}
ac_add_options --libdir=%{_libdir}
ac_add_options --libexecdir=%{_libexecdir}
ac_add_options --localstatedir=%{_localstatedir}
ac_add_options --sharedstatedir=%{_sharedstatedir}
ac_add_options --mandir=%{_mandir}
ac_add_options --infodir=%{_infodir}
%if %{?debug:1}0
ac_add_options --disable-optimize
ac_add_options --enable-debug
ac_add_options --enable-debug-modules
ac_add_options --enable-debugger-info-modules
ac_add_options --enable-crash-on-assert
%else
ac_add_options --disable-debug
ac_add_options --disable-debug-modules
ac_add_options --disable-logging
ac_add_options --enable-optimize="%{rpmcflags} -Os"
%endif
ac_add_options --disable-strip
ac_add_options --disable-strip-libs
%if %{with tests}
ac_add_options --enable-tests
%else
ac_add_options --disable-tests
%endif
%if %{with gnomeui}
ac_add_options --enable-gnomeui
%else
ac_add_options --disable-gnomeui
%endif
%if %{with gnomevfs}
ac_add_options --enable-gnomevfs
%else
ac_add_options --disable-gnomevfs
%endif
%if %{with ldap}
ac_add_options --enable-ldap
ac_add_options --with-system-ldap
%else
ac_add_options --disable-ldap
%endif
%if %{with crashreporter}
ac_add_options --enable-crashreporter
%else
ac_add_options --disable-crashreporter
%endif
ac_add_options --disable-xterm-updates
ac_add_options --enable-postscript
%if %{with lightning}
ac_add_options --enable-calendar
%else
ac_add_options --disable-calendar
%endif
ac_add_options --disable-installer
ac_add_options --disable-jsd
ac_add_options --disable-updater
ac_add_options --disable-xprint
ac_add_options --disable-permissions
ac_add_options --disable-pref-extensions
ac_add_options --enable-canvas
ac_add_options --enable-crypto
ac_add_options --enable-mathml
ac_add_options --enable-pango
ac_add_options --enable-reorder
ac_add_options --enable-startup-notification
ac_add_options --enable-svg
ac_add_options --enable-system-cairo
ac_add_options --enable-system-hunspell
ac_add_options --enable-system-sqlite
ac_add_options --enable-xft
ac_add_options --enable-application=mail
ac_add_options --enable-default-toolkit=cairo-gtk2
ac_add_options --enable-xinerama
ac_add_options --with-distribution-id=org.pld-linux
ac_add_options --with-branding=icedove/branding
%if %{with xulrunner}
ac_add_options --with-libxul-sdk=$(pwd)/libxul-sdk
ac_add_options --enable-shared
%else
ac_add_options --enable-static
%endif
ac_add_options --with-pthreads
ac_add_options --with-system-bz2
ac_add_options --with-system-jpeg
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-png
ac_add_options --with-system-zlib
ac_add_options --enable-single-profile
ac_add_options --disable-profilesharing
ac_add_options --with-default-mozilla-five-home=%{_libdir}/%{name}
EOF

%{__make} -j1 -f client.mk build \
	STRIP="/bin/true" \
	MOZ_MAKE_FLAGS="%{?_smp_mflags}" \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%if %{with crashreporter}
# create debuginfo for crash-stats.mozilla.com
%{__make} -j1 -C obj-%{_target_cpu} buildsymbols
%endif

%if %{with enigmail}
cd mailnews/extensions/enigmail
./makemake -r -o %{objdir}
%{__make} -C %{objdir}/mailnews/extensions/enigmail \
	STRIP="/bin/true" \
	CC="%{__cc}" \
	CXX="%{__cxx}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/%{name},%{_datadir}/%{name},%{_pixmapsdir},%{_desktopdir}}

cd %{objdir}
%{__make} -C mail/installer stage-package \
	DESTDIR=$RPM_BUILD_ROOT \
	MOZ_PKG_APPDIR=%{_libdir}/%{name} \
	PKG_SKIP_STRIP=1

# Enable crash reporter for Firefox application
%if %{with crashreporter}
%{__sed} -i -e 's/\[Crash Reporter\]/[Crash Reporter]\nEnabled=1/' $RPM_BUILD_ROOT%{_libdir}/%{name}/application.ini

# Add debuginfo for crash-stats.mozilla.com
install -d $RPM_BUILD_ROOT%{_exec_prefix}/lib/debug%{_libdir}/%{name}
cp -a mozilla/dist/%{name}-%{version}.en-US.linux-*.crashreporter-symbols.zip $RPM_BUILD_ROOT%{_prefix}/lib/debug%{_libdir}/%{name}
%endif

# copy manually lightning files, somewhy they are not installed by make
cp -a mozilla/dist/bin/extensions/calendar-timezones@mozilla.org \
	mozilla/dist/bin/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103} \
	$RPM_BUILD_ROOT%{_libdir}/%{name}/extensions

# move arch independant ones to datadir
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome $RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults $RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs $RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/isp $RPM_BUILD_ROOT%{_datadir}/%{name}/isp
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/modules $RPM_BUILD_ROOT%{_datadir}/%{name}/modules
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/res $RPM_BUILD_ROOT%{_datadir}/%{name}/res
ln -s ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome
ln -s ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults
ln -s ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs
ln -s ../../share/%{name}/isp $RPM_BUILD_ROOT%{_libdir}/%{name}/isp
ln -s ../../share/%{name}/modules $RPM_BUILD_ROOT%{_libdir}/%{name}/modules
ln -s ../../share/%{name}/res $RPM_BUILD_ROOT%{_libdir}/%{name}/res

%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries

%{__sed} -e 's,@LIBDIR@,%{_libdir},' %{SOURCE5} > $RPM_BUILD_ROOT%{_bindir}/icedove
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/thunderbird
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/mozilla-thunderbird

cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
cp -a %{topdir}/mozilla/icedove/branding/content/icon64.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

# files created by regxpcom -register in post
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/compreg.dat
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/xpti.dat
cat << 'EOF' > $RPM_BUILD_ROOT%{_libdir}/%{name}/register
#!/bin/sh
umask 022
# make temporary HOME, as it attempts to touch files in $HOME/.mozilla
# dangerous if you run this with sudo with keep_env += HOME
# also TMPDIR could be pointing to sudo user's homedir so we reset that too.
t=$(mktemp -d)
%{__rm} %{_libdir}/%{name}/components/{compreg,xpti}.dat
TMPDIR= TMP= HOME=$t %{_libdir}/%{name}/icedove -register
rm -rf $t
EOF
chmod a+rx $RPM_BUILD_ROOT%{_libdir}/%{name}/register

%if %{with enigmail}
ext_dir=$RPM_BUILD_ROOT%{_libdir}/%{name}/extensions/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
install -d $ext_dir/{chrome,components,defaults/preferences}
cd mozilla/dist/bin
cp -rfLp chrome/enigmail.jar $ext_dir/chrome
cp -rfLp chrome/enigmime.jar $ext_dir/chrome
cp -rfLp components/enig* $ext_dir/components
cp -rfLp components/libenigmime.so $ext_dir/components
cp -rfLp components/libipc.so $ext_dir/components
cp -rfLp components/ipc.xpt $ext_dir/components
cp -rfLp defaults/preferences/enigmail.js $ext_dir/defaults/preferences
cd -
cp -a %{topdir}/mozilla/mailnews/extensions/enigmail/package/install.rdf $ext_dir
cp -a %{topdir}/mozilla/mailnews/extensions/enigmail/package/chrome.manifest $ext_dir/chrome.manifest
%endif

# remove unecessary stuff
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/README.txt
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/components/components.list
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/components.list

# never package these. always remove
# nss
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib{freebl3,nss3,nssckbi,nssdbm3,nssutil3,smime3,softokn3,ssl3}.*
# nspr
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib{nspr4,plc4,plds4}.so
# mozldap
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib{ldap,ldif,prldap,ssldap}60.so

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
if [ -d %{_libdir}/%{name}/dictionaries ] && [ ! -L %{_libdir}/%{name}/dictionaries ]; then
	mv -v %{_libdir}/%{name}/dictionaries{,.rpmsave}
fi
for d in chrome defaults greprefs icons isp modules res; do
	if [ -d %{_libdir}/%{name}/$d ] && [ ! -L %{_libdir}/%{name}/$d ]; then
		install -d %{_datadir}/%{name}
		mv %{_libdir}/%{name}/$d %{_datadir}/%{name}/$d
	fi
done
exit 0

%post
%{_libdir}/%{name}/register || :

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/icedove
%attr(755,root,root) %{_bindir}/mozilla-thunderbird
%attr(755,root,root) %{_bindir}/thunderbird
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/application.ini
%{_libdir}/%{name}/platform.ini
%dir %{_libdir}/%{name}/components
%attr(755,root,root) %{_libdir}/%{name}/components/*.so
%{_libdir}/%{name}/components/*.js
%{_libdir}/%{name}/components/*.xpt
%attr(755,root,root) %{_libdir}/%{name}/libmozjs.so
%attr(755,root,root) %{_libdir}/%{name}/libxpcom.so
%attr(755,root,root) %{_libdir}/%{name}/libxpcom_core.so
%attr(755,root,root) %{_libdir}/%{name}/*.sh
%attr(755,root,root) %{_libdir}/%{name}/*-bin
%attr(755,root,root) %{_libdir}/%{name}/mozilla-xremote-client
%attr(755,root,root) %{_libdir}/%{name}/icedove
%attr(755,root,root) %{_libdir}/%{name}/register

# symlinks
%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/dictionaries
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/isp
%{_libdir}/%{name}/modules
%{_libdir}/%{name}/res

%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/chrome
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/greprefs
%{_datadir}/%{name}/isp
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/res

%if %{with crashreporter}
%attr(755,root,root) %{_libdir}/%{name}/crashreporter
%{_libdir}/%{name}/crashreporter.ini
%{_libdir}/%{name}/Throbber-small.gif
%endif

%dir %{_libdir}/%{name}/extensions
%{_libdir}/%{name}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}

# files created by regxpcom -register
%ghost %{_libdir}/%{name}/components/compreg.dat
%ghost %{_libdir}/%{name}/components/xpti.dat

%if %{with lightning}
%files addon-lightning
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/defaults
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/chrome
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/chrome.manifest
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/install.rdf
%dir %{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components
%attr(755,root,root) %{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/*.so
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/*.xpt
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/components/*.js
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/modules
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/calendar-js
%{_libdir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/timezones.sqlite

%{_libdir}/%{name}/extensions/calendar-timezones@mozilla.org
%endif

%if %{with enigmail}
%files addon-enigmail
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}
%{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/defaults
%{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/chrome
%{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/chrome.manifest
%{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/install.rdf
%dir %{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/components
%attr(755,root,root) %{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/components/*.so
%{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/components/*.xpt
%{_libdir}/%{name}/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/components/*.js
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icedove.spec,v $
Revision 1.116  2011/04/29 09:26:38  hawk
- updated to 3.1.10, dropped libnotify fix (fixed upstream)

Revision 1.115  2011/04/06 16:16:51  lisu
- fix build with libnotify 0.7
- rel 3

Revision 1.114  2011/04/06 14:28:03  lisu
- rel 2

Revision 1.113  2011/03/04 21:34:11  duddits
- up to 3.1.9
- CVE entries added to previous version

Revision 1.112  2011/03/01 20:37:35  duddits
- up to 3.1.8
- little fix in cp command
- fixes: CVE-2011-0061, CVE-2010-1585, CVE-2011-0062

Revision 1.111  2011/02/26 07:51:28  arekm
- release 2

Revision 1.110  2010/12/27 14:45:18  glen
- by never package i mean NEVER PACKAGE them

Revision 1.109  2010/12/27 12:09:49  lisu
- updated to 3.1.7
- use rm macros and drop obsoleted ones

Revision 1.108  2010/10/28 20:05:30  glen
- tar broken on th builders?

Revision 1.107  2010/10/28 16:35:31  hawk
- updated 3.1.6, fixes CVE-2010-3765

Revision 1.106  2010/10/24 20:03:34  hawk
- updated to 3.1.5, fixes CVE-2010-3174, CVE-2010-3175, CVE-2010-3176,
  CVE-2010-3179, CVE-2010-3180, CVE-2010-3183, CVE-2010-3178,
  CVE-2010-3170, CVE-2010-3181, CVE-2010-3182, CVE-2010-3173

Revision 1.105  2010/09/27 09:43:44  lisu
- updated to 3.1.4

Revision 1.104  2010/09/23 10:31:01  glen
- mktemp for pots

Revision 1.103  2010/09/23 10:30:11  glen
- create compreg.dat, xpti.dat on install
- remove similar files from profile on upgrades (needed especially major upgrade 3.0 -> 3.1) to fix "silent" start failure
- rel 2

Revision 1.102  2010/09/09 12:34:34  glen
- skip subshell in shell wrapper in normal mode
- require sqlite with SQLITE_SECURE_DELETE enabled

Revision 1.101  2010/09/08 12:52:32  blues
- 3.1.3 - works now

Revision 1.100  2010/09/01 06:46:43  glen
- i'm not sure, but shouldn't we skip providing/requiring libxpcom_core.so as well?; rel 2

Revision 1.99  2010/08/26 09:27:05  glen
- works now; rel 1

Revision 1.98  2010/08/24 21:33:54  glen
- use builddir outside sourcedir

Revision 1.97  2010/08/24 21:09:39  glen
- BR: alsa-lib-devel, bzip2-devel, libiw-devel, libnotify-devel

Revision 1.96  2010/08/23 22:22:54  hawk
- fixed branding tarball (I hope)

Revision 1.95  2010/08/19 08:36:57  glen
- cc1: error: debug format "stabs" conflicts with prior selection

Revision 1.94  2010/08/17 18:49:58  glen
- crashreporter support

Revision 1.93  2010/08/17 15:00:49  glen
- shared lib perms for lightning ext

Revision 1.92  2010/08/17 13:26:13  glen
- enigmail: use chrome.manifest from tarball
- enigmail: package missing ipc shared library
- enigmail: proper attrs for shared libs
- enigmail: works now

Revision 1.91  2010/08/17 12:51:47  glen
- do not look (and mkdir) to /usr/{share,lib}/mozilla for extensions (we do not use share place yet in pld)

Revision 1.90  2010/08/17 11:51:31  glen
- package enigmail files manually
- add ghost .dat files

Revision 1.89  2010/08/16 16:41:47  glen
- up to 3.1.2, lightning files packaged

Revision 1.88  2010/08/16 14:27:50  glen
- x11 in group

Revision 1.87  2010/08/16 12:58:40  glen
- doh, install icon for desktop independant of enigmail bcond

Revision 1.86  2010/08/16 12:49:25  glen
- fix duplicate files, builds and packages without enigmail and lightning

Revision 1.85  2010/08/16 09:19:13  glen
- move modules dir

Revision 1.84  2010/07/30 11:28:07  glen
- icedove patch broken?

Revision 1.83  2010/07/30 11:24:10  glen
- fix files without engimail

Revision 1.82  2010/07/08 14:04:34  hawk
- compiles, but install fails

Revision 1.81  2010/07/08 10:27:48  hawk
- libpng fix

Revision 1.80  2010/07/08 09:28:52  hawk
- updated to 3.1, NFY (compilation errors)

Revision 1.79  2010/06/30 11:32:54  duddits
- enigmail up to 1.1.2
- rel. 2

Revision 1.78  2010/06/24 10:14:06  duddits
- missing CVE entries added to commit log

Revision 1.77  2010/06/18 09:27:12  duddits
- up to 3.0.5
- enigmail up to 1.1
- no security advisories available at this point; stay tuned
- fixes CVE-2010-1121, CVE-2010-1200, CVE-2010-1201, CVE-2010-1202,
  CVE-2010-1203, CVE-2010-1196, CVE-2010-1199

Revision 1.76  2010/04/09 14:18:58  glen
- sqlite version is back as it wasn't bogus this time:
  checking for sqlite3 >= 3.6.22... Requested 'sqlite3 >= 3.6.22' but version of SQLite is 3.6.21

Revision 1.75  2010/04/09 13:26:03  glen
- xulrunner vs static conflict each other

Revision 1.74  2010/04/09 11:30:41  glen
- with xulrunner hacks
- system mozldap hacks

Revision 1.73  2010/04/08 19:48:55  glen
- revert

Revision 1.72  2010/04/08 17:04:23  sls
- BR: sqlite3-devel >= 3.6.22

Revision 1.71  2010/04/08 14:17:24  glen
- release 4

Revision 1.70  2010/04/08 05:27:16  glen
- no, icedove does not provide these libs itself, it is supposed to pull them from mozldap

Revision 1.69  2010/04/07 21:34:46  arekm
- rel 3; fix ldap sonames

Revision 1.68  2010/04/04 20:11:53  glen
- build with system sqlite; rel 2
- nss/nspr forcibly removal works as well for now

Revision 1.67  2010/04/04 19:44:10  glen
- forcibly remove nss/nspr/sqlite/mozldap libraries
- list only shared libs we want to package

Revision 1.66  2010/03/31 11:29:16  duddits
- up to 3.0.4
- libpng.patch obsoleted
- fixes: CVE-2009-3555, CVE-2010-0176, CVE-2010-0175, CVE-2010-0173,
  CVE-2010-0174

Revision 1.65  2010/03/23 20:12:15  glen
- remove duplicate/opposite configure options, sync options order with iceweasel

Revision 1.64  2010/03/02 11:04:47  duddits
- up to 3.0.3
- fixed in previous release (3.0.2): CVE-2009-1571, CVE-2010-0159

Revision 1.63  2010/02/26 11:25:56  duddits
- up to 3.0.2
- no security advisories this time, see:
http://www.mozilla.org/security/known-vulnerabilities/thunderbird30.html#thunderbird3.0.2
  for details
- patches: breakpad and condstore obsoleted

Revision 1.62  2010/02/13 13:58:13  hawk
- fixed hunspell, dropped obsolete myspell, package icon, cleaned up files
- works for me, release 1

Revision 1.61  2010/02/13 11:28:09  hawk
- doh, lightning was moved to separate package not spec

Revision 1.60  2010/02/13 11:27:02  hawk
- enigmail updated to 1.0.1, encrypting, decrypting and signing works ok
- moved lightning extension to separate package, package calendar
  timezones extension as well
- updated branding

Revision 1.59  2010/02/13 00:37:07  hawk
- updated and reenabled branding

Revision 1.58  2010/02/04 12:33:04  paszczus
- added -condstore.patch to fix annoying bug, see https://bugzilla.mozilla.org/show_bug.cgi?id=540554

Revision 1.57  2010/02/03 01:17:48  sparky
- dropped BR: myspell-devel (support removed), xorg-lib-libXft-devel,
  xorg-lib-libXp-devel
- TODO: fix and enable hunspell

Revision 1.56  2010/02/02 09:18:43  paszczus
- fixed build with libpng, thx arekm

Revision 1.55  2010/01/22 14:10:42  sparky
- BR: pkgconfig, startup-notification-devel, zip

Revision 1.54  2010/01/21 20:36:32  zawadaa
- up to 3.0.1
- builds and works, some files left...

Revision 1.53  2010/01/13 14:04:16  paszczus
- backing to make -j1

Revision 1.52  2010/01/13 12:52:46  shadzik
- threaded build is possible
- add calendar extension

Revision 1.51  2010/01/13 12:06:34  shadzik
- fix cvs messup

Revision 1.50  2010/01/13 11:59:08  shadzik
- rel .3

Revision 1.49  2010/01/05 07:48:57  paszczus
- added bconf for lightning

Revision 1.48  2010/01/05 07:09:17  paszczus
- added R: gnupg to -addons-enigmail

Revision 1.47  2010/01/04 11:51:42  paszczus
- removed bogus configure options, thx glen

Revision 1.46  2010/01/04 08:51:40  paszczus
- added few more options to configure

Revision 1.45  2009/12/22 08:29:33  paszczus
- cleanup

Revision 1.44  2009/12/21 15:15:14  blues
- TODO

Revision 1.43  2009/12/21 08:43:23  paszczus
- added Patch7: icedove-breakpad.patch as fix for gcc 4.4.2 on x86 machines

Revision 1.42  2009/12/21 08:34:54  paszczus
- removed outdated patches
- renumbered patches
- updated -fonts.patch
- updated TODO (see TODO file)

Revision 1.41  2009/12/21 07:58:51  paszczus
- uncomment patch3 and patch8

Revision 1.40  2009/12/18 18:17:11  paszczus
- %install passed.
- TODO: package unpackaged files (mainly for calendar)

Revision 1.39  2009/12/18 14:27:46  shadzik
- add option --enable-static due to: Makefile:98: *** you need an "--enable-static" build to package a build.  Stop.

Revision 1.38  2009/12/18 14:13:09  shadzik
- uncomment patch0 and 5

Revision 1.37  2009/12/17 16:19:11  paszczus
- really fixed enigmail building

Revision 1.36  2009/12/17 14:13:02  paszczus
- fixed enigmail building

Revision 1.35  2009/12/17 12:11:53  paszczus
- ok, ignore patch8 for now

Revision 1.34  2009/12/17 11:55:37  paszczus
- patch8 is back (updated)
- added --with-distribution-id=org.pld-linux
- enabled calendar by default
- switched to firefox-like build

Revision 1.33  2009/12/17 09:03:34  paszczus
- commented out branding for now (need update); %build done
- %install fails

Revision 1.32  2009/12/17 07:39:17  paszczus
- started update to 3.0
- updated engmail to 1.0.0
- updated BRs
- updated ac_add_options
- patches NOT updated
- release 0.1

Revision 1.31  2009/09/17 18:55:30  hawk
- release 4

Revision 1.30  2009/09/17 18:37:25  hawk
- updated for enigmail 0.96.0

Revision 1.29  2009/09/14 18:47:12  hawk
- updated enigmail to 0.96.0

Revision 1.28  2009/08/20 19:42:59  duddits
- up to 2.0.0.23
- fixes CVE-2009-2408

Revision 1.27  2009/07/12 13:18:26  arekm
- release 2

Revision 1.26  2009/06/29 15:04:13  blues
- security MFSA 2009-33 noted

Revision 1.25  2009/06/23 15:16:40  duddits
- up to 2.0.0.22
- fixes CVE-2009-1832, CVE-2009-1833, CVE-2009-1836, CVE-2009-1838,
  CVE-2009-1841, CVE-2009-1392, MFSA 2009-33
- patch for gcc 4.4

Revision 1.24  2009/06/15 13:51:17  blues
- multiple security blockers

Revision 1.23  2009/03/20 11:40:40  duddits
- rel. 2
- missing %file: https://bugs.launchpad.net/bugs/345805

Revision 1.22  2009/03/19 12:01:11  duddits
- missed %files in log

Revision 1.21  2009/03/19 11:59:13  duddits
- up to 2.0.0.21
- branding.patch updated
- fixes: CVE-2009-0352, CVE-2009-0353, CVE-2009-0771, CVE-2009-0772,
  CVE-2009-0773, CVE-2009-0774, CVE-2009-0775, CVE-2009-0776,
  CVE-2009-0777
- %files

Revision 1.20  2008/12/31 16:13:13  duddits
- up to 2.0.0.19, fixes CVE-2008-5500, CVE-2008-5501, CVE-2008-5502,
  CVE-2008-5503, CVE-2008-5506, CVE-2008-5507, CVE-2008-5508,
  CVE-2008-5510, CVE-2008-5511, CVE-2008-5512

Revision 1.19  2008/12/18 18:47:34  hawk
- updated to 2.0.0.18, fixes CVE-2008-5012, CVE-2008-5014, CVE-2008-5016,
  CVE-2008-5017, CVE-2008-5021, CVE-2008-5022, CVE-2008-5024
  note: 2.0.0.19 should be out soon

Revision 1.18  2008/11/24 10:40:39  blues
- one more security blocker

Revision 1.17  2008/11/17 21:27:04  blues
- more CVE entries and security blockers for icedove (upgrade required)

Revision 1.16  2008/11/13 13:01:21  hawk
- URL: PLD-WWW:/Packages/Icedove

Revision 1.15  2008/09/29 09:33:52  blues
- one more CVE

Revision 1.14  2008/09/26 12:02:41  hawk
- updated to 2.0.0.17, fixes CVE-2008-3837, CVE-2008-4058, CVE-2008-4059,
  CVE-2008-4060, CVE-2008-4061, CVE-2008-4062, CVE-2008-4063, CVE-2008-4064,
  CVE-2008-4065, CVE-2008-4066, CVE-2008-4067, CVE-2008-4068, CVE-2008-4070
- updated enigmail to 0.95.7

Revision 1.13  2008/08/18 18:04:02  hawk
- reverted separate wrappers for Titanium

Revision 1.12  2008/08/18 16:48:16  arekm
- release 3

Revision 1.11  2008/08/18 15:29:48  hawk
- alternate wrappers for Titanium

Revision 1.10  2008/08/01 18:48:51  arekm
- filterout fortify flags from equation (too many bugs in the code that are catched by fortify)

Revision 1.9  2008/07/29 13:48:32  hawk
- fixed application name in URLs
- release 2

Revision 1.8  2008/07/24 08:23:15  hawk
- updated to 2.0.0.16, fixes CVE-2008-2799, CVE-2008-2802, CVE-2008-2803,
  CVE-2008-2807, CVE-2008-2809, CVE-2008-2811, CVE-2008-2785

Revision 1.7  2008/06/26 19:16:24  hawk
- O: mozilla-thunderbird-addon-enigmail
- try to copy profile from thunderdbird in wrapper script
- release 3

Revision 1.6  2008/06/26 08:18:58  hawk
- release 2, small cleanup

Revision 1.5  2008/06/24 11:27:59  hawk
- disable auto updates, they don't work anyway, disable phishing URL scanning

Revision 1.4  2008/06/24 10:43:45  hawk
- %setup -a instead of tar

Revision 1.3  2008/06/24 10:26:40  hawk
- added missing release 1.1 to changelog

Revision 1.2  2008/06/24 10:25:25  hawk
- damn, forgot to adapterize

Revision 1.1  2008/06/24 10:09:45  hawk
- thunderbird 2.0.0.14 rebranded as icedove (based on revision 1.127 of mozilla-thunderbird.spec)
